package com.programmersnotes;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

@Entity
@Table(name = "Visitors", uniqueConstraints = {
        @UniqueConstraint(columnNames = "ID"),
})
public class VisitorEntity {
    @Id
    @Column(name = "ID", unique = true, nullable = false)
    private String visitorUUID;
    @Column(name = "VISITING_TIME")
    private String visitingTime;

    public VisitorEntity() {
    }

    public VisitorEntity(String visitorUUID, String visitingTime) {
        this.visitorUUID = visitorUUID;
        this.visitingTime = visitingTime;
    }

    public String getVisitorUUID() {
        return visitorUUID;
    }

    public void setVisitorUUID(String visitorUUID) {
        this.visitorUUID = visitorUUID;
    }

    public String getVisitingTime() {
        return visitingTime;
    }

    public void setVisitingTime(String visitingTime) {
        this.visitingTime = visitingTime;
    }
}
